<?xml version="1.0" encoding="UTF-8"?>
<data xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
  <netconf xmlns="urn:ietf:params:xml:ns:netmod:notification">
  <streams>
    <stream>
      <name>OPENROADM</name>
    </stream>
  </streams>
</netconf>
  <org-openroadm-device xmlns="http://org/openroadm/device">
    <info>
      <node-id>XPDR-C1</node-id>
      <node-number>1</node-number>
      <node-type>xpdr</node-type>
      <clli>NodeC</clli>
      <vendor>vendorA</vendor>
      <model>model2</model>
      <serial-id>nodeid-1234</serial-id>
      <ipAddress>1.2.3.4</ipAddress>
      <prefix-length>24</prefix-length>
      <defaultGateway>1.2.3.4</defaultGateway>
      <source>static</source>
      <current-ipAddress>1.2.3.4</current-ipAddress>
      <current-prefix-length>10</current-prefix-length>
      <current-defaultGateway>1.2.3.1</current-defaultGateway>
      <macAddress>00:01:02:03:04:05</macAddress>
      <softwareVersion>swversion1234</softwareVersion>
      <openroadm-version>2.2</openroadm-version>
      <template>template_TRANSPONDER</template>
      <current-datetime>2017-10-22T15:23:43Z</current-datetime>
      <geoLocation>
        <latitude>1.0000</latitude>
        <longitude>2.0000</longitude>
      </geoLocation>
    </info>
    <users>
      <user>
        <name>openroadm</name>
        <password>openroadm</password>
        <group>sudo</group>
      </user>
    </users>
    <shelves>
      <shelf-name>1</shelf-name>
      <shelf-type>pizza</shelf-type>
      <rack>XYZ</rack>
      <shelf-position>1</shelf-position>
      <administrative-state>inService</administrative-state>
      <vendor>vendorA</vendor>
      <model>1</model>
      <serial-id>nodeid-1</serial-id>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <type>pizza</type>
      <product-code>zzz</product-code>
      <manufacture-date>2017-04-01T00:00:00+00:00</manufacture-date>
      <clei>1234567890</clei>
      <hardware-version>0.1</hardware-version>
      <operational-state>inService</operational-state>
      <due-date>2017-02-24T15:56:10+00:00</due-date>
      <slots>
        <slot-name>1</slot-name>
        <label>1</label>
        <provisioned-circuit-pack>1/0</provisioned-circuit-pack>
      </slots>
    </shelves>
    <circuit-packs>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <circuit-pack-name>1/0</circuit-pack-name>
      <circuit-pack-type>Base_transponder_circuit_pack</circuit-pack-type>
      <circuit-pack-product-code>baseXPDR</circuit-pack-product-code>
      <administrative-state>inService</administrative-state>
      <vendor>VendorA</vendor>
      <model>model1</model>
      <serial-id>nodeid-1234</serial-id>
      <type>XPDR1</type>
      <product-code>baseXPDR</product-code>
      <manufacture-date>2007-10-10T00:00:00Z</manufacture-date>
      <clei>12345678901</clei>
      <hardware-version>0.1</hardware-version>
      <operational-state>inService</operational-state>
      <is-pluggable-optics>false</is-pluggable-optics>
      <circuit-pack-mode>inServiceMode</circuit-pack-mode>
      <shelf>1</shelf>
      <slot>1</slot>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <cp-slots>
        <slot-name>1</slot-name>
        <label>1</label>
        <provisioned-circuit-pack>1/0/1-PLUG-NET</provisioned-circuit-pack>
      </cp-slots>
      <cp-slots>
        <slot-name>2</slot-name>
        <label>2</label>
        <provisioned-circuit-pack>1/0/1-PLUG-CLIENT</provisioned-circuit-pack>
      </cp-slots>
      <cp-slots>
        <slot-name>3</slot-name>
        <label>1</label>
        <provisioned-circuit-pack>1/0/2-PLUG-NET</provisioned-circuit-pack>
      </cp-slots>
      <cp-slots>
        <slot-name>4</slot-name>
        <label>2</label>
        <provisioned-circuit-pack>1/0/3-PLUG-CLIENT</provisioned-circuit-pack>
      </cp-slots>
    </circuit-packs>
    <circuit-packs>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <circuit-pack-name>1/0/1-PLUG-NET</circuit-pack-name>
      <circuit-pack-type>line_pluggable</circuit-pack-type>
      <circuit-pack-product-code>Line_NW_P</circuit-pack-product-code>
      <vendor>VendorA</vendor>
      <model>CFP2</model>
      <serial-id>_1234_</serial-id>
      <type>line/network pluggable</type>
      <product-code>Line_NW_P</product-code>
      <hardware-version>0.1</hardware-version>
      <operational-state>inService</operational-state>
      <circuit-pack-mode>NORMAL</circuit-pack-mode>
      <shelf>1</shelf>
      <slot>1</slot>
      <subSlot>1</subSlot>
      <is-pluggable-optics>true</is-pluggable-optics>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <administrative-state>inService</administrative-state>
      <ports>
        <port-name>1</port-name>
        <port-type>CFP2</port-type>
        <port-qual>xpdr-network</port-qual>
        <port-wavelength-type>wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
        <transponder-port>
          <port-power-capability-min-rx>-22.00</port-power-capability-min-rx>
          <port-power-capability-min-tx>-5.00</port-power-capability-min-tx>
          <port-power-capability-max-rx>1.00</port-power-capability-max-rx>
          <port-power-capability-max-tx>0.00</port-power-capability-max-tx>
        </transponder-port>
      </ports>
      <parent-circuit-pack>
        <circuit-pack-name>1/0</circuit-pack-name>
        <cp-slot-name>1</cp-slot-name>
      </parent-circuit-pack>
    </circuit-packs>
    <circuit-packs>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <circuit-pack-name>1/0/1-PLUG-CLIENT</circuit-pack-name>
      <circuit-pack-type>client_pluggable</circuit-pack-type>
      <circuit-pack-product-code>Client_P</circuit-pack-product-code>
      <vendor>VendorA</vendor>
      <model>client_pluggable</model>
      <serial-id>_1234_</serial-id>
      <type>QSFP28</type>
      <product-code>Client_P</product-code>
      <hardware-version>0.1</hardware-version>
      <operational-state>inService</operational-state>
      <circuit-pack-mode>NORMAL</circuit-pack-mode>
      <shelf>1</shelf>
      <slot>1</slot>
      <subSlot>1</subSlot>
      <is-pluggable-optics>true</is-pluggable-optics>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <administrative-state>inService</administrative-state>
      <ports>
        <port-name>C1</port-name>
        <port-type>QSFP28</port-type>
        <port-qual>xpdr-client</port-qual>
        <port-wavelength-type>wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
        <transponder-port>
          <port-power-capability-min-rx>-4.00</port-power-capability-min-rx>
          <port-power-capability-min-tx>-10.00</port-power-capability-min-tx>
          <port-power-capability-max-rx>4.00</port-power-capability-max-rx>
          <port-power-capability-max-tx>4.00</port-power-capability-max-tx>
        </transponder-port>
      </ports>
      <parent-circuit-pack>
        <circuit-pack-name>1/0</circuit-pack-name>
        <cp-slot-name>2</cp-slot-name>
      </parent-circuit-pack>
    </circuit-packs>
    <circuit-packs>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <circuit-pack-name>1/0/2-PLUG-NET</circuit-pack-name>
      <circuit-pack-type>line_pluggable</circuit-pack-type>
      <circuit-pack-product-code>Line_NW_P</circuit-pack-product-code>
      <vendor>VendorA</vendor>
      <model>CFP2</model>
      <serial-id>_1234_</serial-id>
      <type>line/network pluggable</type>
      <product-code>Line_NW_P</product-code>
      <hardware-version>0.1</hardware-version>
      <operational-state>inService</operational-state>
      <circuit-pack-mode>NORMAL</circuit-pack-mode>
      <shelf>1</shelf>
      <slot>1</slot>
      <subSlot>1</subSlot>
      <is-pluggable-optics>true</is-pluggable-optics>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <administrative-state>inService</administrative-state>
      <ports>
        <port-name>1</port-name>
        <port-type>CFP2</port-type>
        <port-qual>xpdr-network</port-qual>
        <port-wavelength-type>wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
        <transponder-port>
          <port-power-capability-min-rx>-22.00</port-power-capability-min-rx>
          <port-power-capability-min-tx>-5.00</port-power-capability-min-tx>
          <port-power-capability-max-rx>1.00</port-power-capability-max-rx>
          <port-power-capability-max-tx>0.00</port-power-capability-max-tx>
        </transponder-port>
      </ports>
      <parent-circuit-pack>
        <circuit-pack-name>1/0</circuit-pack-name>
        <cp-slot-name>3</cp-slot-name>
      </parent-circuit-pack>
    </circuit-packs>
    <circuit-packs>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <circuit-pack-name>1/0/2-PLUG-CLIENT</circuit-pack-name>
      <circuit-pack-type>client_pluggable</circuit-pack-type>
      <circuit-pack-product-code>Client_P</circuit-pack-product-code>
      <vendor>VendorA</vendor>
      <model>client_pluggable</model>
      <serial-id>_1234_</serial-id>
      <type>QSFP28</type>
      <product-code>Client_P</product-code>
      <hardware-version>0.1</hardware-version>
      <operational-state>inService</operational-state>
      <circuit-pack-mode>NORMAL</circuit-pack-mode>
      <shelf>1</shelf>
      <slot>1</slot>
      <subSlot>1</subSlot>
      <is-pluggable-optics>true</is-pluggable-optics>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <administrative-state>inService</administrative-state>
      <ports>
        <port-name>C1</port-name>
        <port-type>QSFP28</port-type>
        <port-qual>xpdr-client</port-qual>
        <port-wavelength-type>wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
        <transponder-port>
          <port-power-capability-min-rx>-4.00</port-power-capability-min-rx>
          <port-power-capability-min-tx>-10.00</port-power-capability-min-tx>
          <port-power-capability-max-rx>4.00</port-power-capability-max-rx>
          <port-power-capability-max-tx>4.00</port-power-capability-max-tx>
        </transponder-port>
      </ports>
      <parent-circuit-pack>
        <circuit-pack-name>1/0</circuit-pack-name>
        <cp-slot-name>4</cp-slot-name>
      </parent-circuit-pack>
    </circuit-packs>

    <connection-map>
      <connection-map-number>1</connection-map-number>
      <source>
        <circuit-pack-name>1/0/1-PLUG-CLIENT</circuit-pack-name>
        <port-name>C1</port-name>
      </source>
      <destination>
        <circuit-pack-name>1/0/1-PLUG-NET</circuit-pack-name>
        <port-name>1</port-name>
      </destination>
    </connection-map>
    <connection-map>
      <connection-map-number>2</connection-map-number>
      <source>
        <circuit-pack-name>1/0/1-PLUG-NET</circuit-pack-name>
        <port-name>1</port-name>
      </source>
      <destination>
        <circuit-pack-name>1/0/1-PLUG-CLIENT</circuit-pack-name>
        <port-name>C1</port-name>
      </destination>
    </connection-map>
    <connection-map>
      <connection-map-number>3</connection-map-number>
      <source>
        <circuit-pack-name>1/0/2-PLUG-CLIENT</circuit-pack-name>
        <port-name>C1</port-name>
      </source>
      <destination>
        <circuit-pack-name>1/0/2-PLUG-NET</circuit-pack-name>
        <port-name>1</port-name>
      </destination>
    </connection-map>
    <connection-map>
      <connection-map-number>4</connection-map-number>
      <source>
        <circuit-pack-name>1/0/2-PLUG-NET</circuit-pack-name>
        <port-name>1</port-name>
      </source>
      <destination>
        <circuit-pack-name>1/0/2-PLUG-CLIENT</circuit-pack-name>
        <port-name>C1</port-name>
      </destination>
    </connection-map>
  </org-openroadm-device>

  <current-pm-list xmlns="http://org/openroadm/pm">
  <current-pm-entry>
    <pm-resource-instance xmlns:d="http://org/openroadm/device">/d:org-openroadm-device/d:interface[d:name='XPDR1-NETWORK1-OTU']</pm-resource-instance>
    <pm-resource-type>interface</pm-resource-type>
    <pm-resource-type-extension></pm-resource-type-extension>
    <start-time>2018-06-06T10:00:00+00:00</start-time>
    <retrieval-time>2018-06-07T13:22:58+00:00</retrieval-time>
    <current-pm>
      <type>opticalPowerOutput</type>
      <extension></extension>
      <location>nearEnd</location>
      <direction>tx</direction>
      <measurement>
        <granularity>15min</granularity>
        <pmParameterValue>2.5</pmParameterValue>
        <pmParameterUnit>dBm</pmParameterUnit>
        <validity>complete</validity>
      </measurement>
      <measurement>
        <granularity>24Hour</granularity>
        <pmParameterValue>2.23</pmParameterValue>
        <pmParameterUnit>dBm</pmParameterUnit>
        <validity>complete</validity>
      </measurement>
    </current-pm>
    <current-pm>
      <type>opticalPowerInput</type>
      <extension></extension>
      <location>nearEnd</location>
      <direction>rx</direction>
      <measurement>
        <granularity>15min</granularity>
        <pmParameterValue>-45.1</pmParameterValue>
        <pmParameterUnit>dBm</pmParameterUnit>
        <validity>complete</validity>
      </measurement>
      <measurement>
        <granularity>24Hour</granularity>
        <pmParameterValue>-49.3</pmParameterValue>
        <pmParameterUnit>dBm</pmParameterUnit>
        <validity>complete</validity>
      </measurement>
    </current-pm>
  </current-pm-entry>
 </current-pm-list>

 <current-pm-description xmlns="http://honeynode-simulator/pm-handling">
   <pm-generation-rules>
     <triggering-interface xmlns:org-openroadm-interfaces="http://org/openroadm/interfaces">org-openroadm-interfaces:opticalChannel</triggering-interface>
     <pm-name-prefix>opticalPowerOutput</pm-name-prefix>
     <!--This PM is generated on transponders on creation of an OCH interface (up to 2.2.1) XPDR[n]-NETWORK[m]-[TX/TXRX]-[frequency]-->
     <analog>true</analog>
     <default-current-value>-2.5</default-current-value>
     <max-value>0.0</max-value>
     <min-value>-5.0</min-value>
     <!--Evolution range is a percentage of the min max range expressed in dB-->
     <evolution-range>10</evolution-range>
   </pm-generation-rules>
   <pm-generation-rules>
     <triggering-interface xmlns:org-openroadm-interfaces="http://org/openroadm/interfaces">org-openroadm-interfaces:opticalChannel</triggering-interface>
     <pm-name-prefix>opticalPowerInput</pm-name-prefix>
     <!--This PM is generated on transponders on creation of an OCH interface (up to 2.2.1) XPDR[n]-NETWORK[m]-[RX/TXRX]-[frequency])-->
     <analog>true</analog>
     <default-current-value>-13.5</default-current-value>
     <max-value>-1.0</max-value>
     <min-value>-21.0</min-value>
     <!--Evolution range is a percentage of the min max range expressed in dB-->
     <evolution-range>2.5</evolution-range>
   </pm-generation-rules>
   <pm-generation-rules>
     <triggering-interface xmlns:org-openroadm-interfaces="http://org/openroadm/interfaces">org-openroadm-interfaces:otsi</triggering-interface>
     <pm-name-prefix>opticalPowerOutput</pm-name-prefix>
     <!--This PM is generated on transponders on creation of an OCH interface (up to 2.2.1) XPDR[n]-NETWORK[m]-[TX/TXRX]-[frequency]-->
     <analog>true</analog>
     <default-current-value>-2.5</default-current-value>
     <max-value>0.0</max-value>
     <min-value>-5.0</min-value>
     <!--Evolution range is a percentage of the min max range expressed in dB-->
     <evolution-range>10</evolution-range>
   </pm-generation-rules>
   <pm-generation-rules>
     <triggering-interface xmlns:org-openroadm-interfaces="http://org/openroadm/interfaces">org-openroadm-interfaces:otsi</triggering-interface>
     <pm-name-prefix>opticalPowerInput</pm-name-prefix>
     <!--This PM is generated on transponders on creation of an OCH interface (up to 2.2.1) XPDR[n]-NETWORK[m]-[RX/TXRX]-[frequency])-->
     <analog>true</analog>
     <default-current-value>-13.5</default-current-value>
     <max-value>-1.0</max-value>
     <min-value>-21.0</min-value>
     <!--Evolution range is a percentage of the min max range expressed in dB-->
     <evolution-range>2.5</evolution-range>
   </pm-generation-rules>
   <pm-generation-rules>
     <triggering-interface xmlns:org-openroadm-interfaces="http://org/openroadm/interfaces">org-openroadm-interfaces:otnOtu</triggering-interface>
     <pm-name-prefix>erroredBlockCount</pm-name-prefix>
     <!--This PM is generated on transponders on creation of an OCH interface (up to 2.2.1) XPDR[n]-NETWORK[m]-[RX/TXRX]-[frequency]-->
     <analog>false</analog>
     <default-current-value>0</default-current-value>
     <max-value>0.0</max-value>
     <min-value>0.0</min-value>
     <!--No uncorrected error shall appear in nominal operation range-->
     <evolution-range>0</evolution-range>
   </pm-generation-rules>
   <pm-generation-rules>
     <triggering-interface xmlns:org-openroadm-interfaces="http://org/openroadm/interfaces">org-openroadm-interfaces:otnOdu</triggering-interface>
     <pm-name-prefix>erroredBlockCount</pm-name-prefix>
     <!--This PM is generated on transponders on creation of an OCH interface (up to 2.2.1) XPDR[n]-NETWORK[m]-[RX/TXRX]-[frequency]-->
     <analog>false</analog>
     <default-current-value>0</default-current-value>
     <max-value>0.0</max-value>
     <min-value>0.0</min-value>
     <!--No uncorrected error shall appear in nominal operation range-->
     <evolution-range>0</evolution-range>
   </pm-generation-rules>
  </current-pm-description>
</data>
